<!DOCTYPE html>
<html>
<head>
    <meta charset='utf-8'>
    <meta http-equiv='X-UA-Compatible' content='IE=edge'>
    <title>Page Title</title>
    <meta name='viewport' content='width=device-width, initial-scale=1'>
    <!-- <link rel='stylesheet' type='text/css' media='screen' href='main.css'> -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>
</head>
<body>
    <div class="content">
        <select id="pais">
            <option default>--Seleccione--</option>
            <option value="1">Argentina</option>
            <option value="2">Chile</option>
            <option value="3">Otro</option>
        </select>
        SSR:
        <div id="resultado">
            
        </div>
        CSR:
        <div id="resultado2">
            Vacio
        </div>        

        <script>
            $('#pais').change( function() {

                var pais_id = $('#pais').val();

                $.post( "provincias.php", 
                { pais: pais_id } ,
                function( data ) {
                   
                    $('#resultado').html( data );
                });

                $.post( "provincias2.php", 
                { pais: pais_id } ,
                function( data ) {

                   var provincias = data.split(',');

                   var select = document.createElement( 'select' );
                   provincias.forEach(
                       function (item) {
                            var option = document.createElement( 'option' );
                            option.value = option.textContent = item;
                            select.appendChild( option );
                       }
                   );
                   var div = document.getElementById('resultado2');
                   div.appendChild(select);

                });                
                
            });
        </script>
    </div>
</body>
</html>